# Uses of Class
org.apache.wiki.parser.ParseException

Packages that use ParseException
Package
Description
org.apache.wiki.parser

## Uses of ParseException in org.apache.wiki.parser

Methods in org.apache.wiki.parser that throw ParseException
Modifier and Type
Method
Description
`LinkParser.Link`
LinkParser.`parse(String linktext)`
Processes incoming link text, separating out the link text, the link URI, and then any specified attributes.
`protected void`
LinkParser.Link.`setReference(String ref)`
Sets the hypertext reference.
`protected void`
LinkParser.Link.`setText(String text)`
Sets the link text.
Constructors in org.apache.wiki.parser that throw ParseException
Modifier
Constructor
Description
`protected`
`Link(String text)`
Create a new Link with text but no reference.
`protected`
`Link(String text, String ref)`
Create a new link with a given text and hyperlink (reference).